@echo off

setlocal

call config.bat

if "%1" == "11g" (
 set dbjavadir=%db11gdir%\jdk\
 set outdir=classes\11g
)

if "%1" == "12c" (
 set dbjavadir=%db12cdir%\jdk\
 set outdir=classes\12c
)

if "%1" == "" goto usage
if "%dbjavadir%" == "" goto usage

set reqlibs=runtime12.jar translator.jar aurora.zip ojdbc6.jar

for %%i in (%reqlibs%) do (
 if not exist libs\%%i (
  echo Cannot compile. Required library libs\%%i is missing
  goto done
 )
)

set javac=%java6dir%\bin\javac.exe
set jar=%java6dir%\bin\jar.exe
set dbjavac=%dbjavadir%\bin\javac.exe

set classpath=libs\ojdbc6.jar;.

set dbclasspath=libs\runtime12.jar;libs\translator.jar;libs\aurora.zip;libs\ojdbc6.jar;.

set files=src\OraDBJVM.java src\Exploit.java src\SQL.java src\OJVM.java
set dbfiles=src\DBE.java src\POC1.java src\POC2.java src\POC3.java src\POC4.java src\POC5.java src\POC6.java src\POC7.java src\POC8.java

if "%1" == "12c" (
 set dbfiles=%dbfiles% src\POC9.java
)

echo *** Compiling source files ***
del %outdir%\*.jar %outdir%\*.class %outdir%\*.dat
call %javac% -classpath %classpath% -d . %files%
call %dbjavac% -classpath %dbclasspath% -d . %dbfiles%

call %jar% cf se.jar DBE.class POC*.class
move se.jar %outdir%

move DBE.class %outdir%\DBE.dat
move POC1.class %outdir%\POC1.dat
move POC2.class %outdir%\POC2.dat
move POC3.class %outdir%\POC3.dat
move POC4.class %outdir%\POC4.dat
move POC5.class %outdir%\POC5.dat
move POC6.class %outdir%\POC6.dat
move POC7.class %outdir%\POC7.dat
move POC8.class %outdir%\POC8.dat

if "%1" == "12c" (
 move POC9.class %outdir%\POC9.dat
)

move *.class %outdir%\..

goto done

:usage
 echo usage: build.bat ^[11g^|12c^]
 goto done

:done
endlocal
